The officially official Devuan Forum!

You are not logged in.

#1 2021-10-16 03:03:35

shirase
Member
Registered: 2017-11-14
Posts: 15  

[SOLVED] libvirt-daemon/qemu-kvm won't install on chimaera

I made this post in another thread where they had the same issue but it was marked as solved when the user only did a release downgrade so I'm posting it as a new topic for visibility.
I'm having this issue after dist-upgrading to current stable (Chimaera), which it worked fine previously on beowulf.

After running

sudo apt-get install --no-install-recommends qemu-kvm libvirt-daemon-system libvirt-clients virt-manager gir1.2-spiceclientgtk-3.0 dnsmasq qemu-utils

I ran into this error

libvirt-daemon-system : Depends: libvirt-daemon (= 7.0.0-3+devuan3) but it is not installable
E: Unable to correct problems, you have held broken packages.

After apt searching libvirt-daemon it seems like it's already installed and on the correct version.

apt search libvirt-daemon
Sorting... Done
Full Text Search... Done
libvirt-daemon/stable,now 7.0.0-3+devuan3 amd64 [installed]

Any ideas?

And here's the debug output:

apt -s -o Debug::pkgProblemResolver=yes install libvirt-daemon-system
NOTE: This is only a simulation!
      apt needs root privileges for real execution.
      Keep also in mind that locking is deactivated,
      so don't depend on the relevance to the real current situation!
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
Starting pkgProblemResolver with broken count: 0
Starting 2 pkgProblemResolver with broken count: 0
Done
The following additional packages will be installed:
  jq libjq1 libonig5 libvirt-clients libvirt-daemon-config-network
  libvirt-daemon-config-nwfilter libvirt-daemon-system-sysv mdevctl
Suggested packages:
  libvirt-login-shell auditd nfs-common open-iscsi pm-utils radvd systemtap
  zfsutils
The following NEW packages will be installed:
  jq libjq1 libonig5 libvirt-clients libvirt-daemon-config-network
  libvirt-daemon-config-nwfilter libvirt-daemon-system
  libvirt-daemon-system-sysv mdevctl
0 upgraded, 9 newly installed, 0 to remove and 0 not upgraded.
Inst libvirt-daemon-system-sysv (7.0.0-3+devuan3 Devuan:4.0/stable [all])
Inst libonig5 (6.9.6-1.1 Devuan:4.0/stable [amd64])
Inst libjq1 (1.6-2.1 Devuan:4.0/stable [amd64])
Inst jq (1.6-2.1 Devuan:4.0/stable [amd64])
Inst libvirt-clients (7.0.0-3+devuan3 Devuan:4.0/stable [amd64])
Inst libvirt-daemon-config-network (7.0.0-3+devuan3 Devuan:4.0/stable [all])
Inst libvirt-daemon-config-nwfilter (7.0.0-3+devuan3 Devuan:4.0/stable [all])
Inst libvirt-daemon-system (7.0.0-3+devuan3 Devuan:4.0/stable [amd64])
Inst mdevctl (0.81-1 Devuan:4.0/stable [all])
Conf libvirt-daemon-system-sysv (7.0.0-3+devuan3 Devuan:4.0/stable [all])
Conf libonig5 (6.9.6-1.1 Devuan:4.0/stable [amd64])
Conf libjq1 (1.6-2.1 Devuan:4.0/stable [amd64])
Conf jq (1.6-2.1 Devuan:4.0/stable [amd64])
Conf libvirt-clients (7.0.0-3+devuan3 Devuan:4.0/stable [amd64])
Conf libvirt-daemon-config-network (7.0.0-3+devuan3 Devuan:4.0/stable [all])
Conf libvirt-daemon-config-nwfilter (7.0.0-3+devuan3 Devuan:4.0/stable [all])
Conf libvirt-daemon-system (7.0.0-3+devuan3 Devuan:4.0/stable [amd64])
Conf mdevctl (0.81-1 Devuan:4.0/stable [all])

Last edited by shirase (2021-10-22 01:05:50)

Offline

#2 2021-10-16 10:25:58

Head_on_a_Stick
Member
From: London
Registered: 2019-03-24
Posts: 1,880  
Website

Re: [SOLVED] libvirt-daemon/qemu-kvm won't install on chimaera

shirase wrote:

Any ideas?

Debug the resolver:

apt -s -o Debug::pkgProblemResolver=yes install libvirt-daemon-system

Please post all output. It would be useful if you could also edit the OP and add the full output there as well, along with the full command that lead to the error snippet you posted.


antifa ftw!

Offline

#3 2021-10-16 10:35:16

shirase
Member
Registered: 2017-11-14
Posts: 15  

Re: [SOLVED] libvirt-daemon/qemu-kvm won't install on chimaera

Head_on_a_Stick wrote:
shirase wrote:

Any ideas?

Debug the resolver:

apt -s -o Debug::pkgProblemResolver=yes install libvirt-daemon-system

Please post all output. It would be useful if you could also edit the OP and add the full output there as well, along with the full command that lead to the error snippet you posted.

The full command that I ran previously to the error was

sudo apt-get install --no-install-recommends qemu-kvm libvirt-daemon-system libvirt-clients virt-manager gir1.2-spiceclientgtk-3.0 dnsmasq qemu-utils

And here's the debug output,

apt -s -o Debug::pkgProblemResolver=yes install libvirt-daemon-system
NOTE: This is only a simulation!
      apt needs root privileges for real execution.
      Keep also in mind that locking is deactivated,
      so don't depend on the relevance to the real current situation!
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
Starting pkgProblemResolver with broken count: 0
Starting 2 pkgProblemResolver with broken count: 0
Done
The following additional packages will be installed:
  jq libjq1 libonig5 libvirt-clients libvirt-daemon-config-network
  libvirt-daemon-config-nwfilter libvirt-daemon-system-sysv mdevctl
Suggested packages:
  libvirt-login-shell auditd nfs-common open-iscsi pm-utils radvd systemtap
  zfsutils
The following NEW packages will be installed:
  jq libjq1 libonig5 libvirt-clients libvirt-daemon-config-network
  libvirt-daemon-config-nwfilter libvirt-daemon-system
  libvirt-daemon-system-sysv mdevctl
0 upgraded, 9 newly installed, 0 to remove and 0 not upgraded.
Inst libvirt-daemon-system-sysv (7.0.0-3+devuan3 Devuan:4.0/stable [all])
Inst libonig5 (6.9.6-1.1 Devuan:4.0/stable [amd64])
Inst libjq1 (1.6-2.1 Devuan:4.0/stable [amd64])
Inst jq (1.6-2.1 Devuan:4.0/stable [amd64])
Inst libvirt-clients (7.0.0-3+devuan3 Devuan:4.0/stable [amd64])
Inst libvirt-daemon-config-network (7.0.0-3+devuan3 Devuan:4.0/stable [all])
Inst libvirt-daemon-config-nwfilter (7.0.0-3+devuan3 Devuan:4.0/stable [all])
Inst libvirt-daemon-system (7.0.0-3+devuan3 Devuan:4.0/stable [amd64])
Inst mdevctl (0.81-1 Devuan:4.0/stable [all])
Conf libvirt-daemon-system-sysv (7.0.0-3+devuan3 Devuan:4.0/stable [all])
Conf libonig5 (6.9.6-1.1 Devuan:4.0/stable [amd64])
Conf libjq1 (1.6-2.1 Devuan:4.0/stable [amd64])
Conf jq (1.6-2.1 Devuan:4.0/stable [amd64])
Conf libvirt-clients (7.0.0-3+devuan3 Devuan:4.0/stable [amd64])
Conf libvirt-daemon-config-network (7.0.0-3+devuan3 Devuan:4.0/stable [all])
Conf libvirt-daemon-config-nwfilter (7.0.0-3+devuan3 Devuan:4.0/stable [all])
Conf libvirt-daemon-system (7.0.0-3+devuan3 Devuan:4.0/stable [amd64])
Conf mdevctl (0.81-1 Devuan:4.0/stable [all])

Last edited by shirase (2021-10-16 10:42:23)

Offline

#4 2021-10-16 11:08:53

Head_on_a_Stick
Member
From: London
Registered: 2019-03-24
Posts: 1,880  
Website

Re: [SOLVED] libvirt-daemon/qemu-kvm won't install on chimaera

So did you try actually installing the package then?

shirase wrote:

The full command that I ran previously to the error was

sudo apt-get install --no-install-recommends qemu-kvm libvirt-daemon-system libvirt-clients virt-manager gir1.2-spiceclientgtk-3.0 dnsmasq qemu-utils

What does that return with the resolver in debug mode?


antifa ftw!

Offline

#5 2021-10-16 22:06:19

shirase
Member
Registered: 2017-11-14
Posts: 15  

Re: [SOLVED] libvirt-daemon/qemu-kvm won't install on chimaera

Head_on_a_Stick wrote:

So did you try actually installing the package then?

Yes but I still get the same error even with it installed, as if it's not being recognized that it's installed.

apt -s -o Debug::pkgProblemResolver=yes install --no-install-recommends qemu-kvm libvirt-daemon-system libvirt-clients virt-manager gir1.2-spiceclientgtk-3.0 dnsmasq qemu-utils
NOTE: This is only a simulation!
      apt needs root privileges for real execution.
      Keep also in mind that locking is deactivated,
      so don't depend on the relevance to the real current situation!
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
Note, selecting 'qemu-system-x86' instead of 'qemu-kvm'
dnsmasq is already the newest version (2.85-1).
gir1.2-spiceclientgtk-3.0 is already the newest version (0.39-1).
Starting pkgProblemResolver with broken count: 4
Starting 2 pkgProblemResolver with broken count: 4
Investigating (0) libvirt-daemon-system:amd64 < none -> 7.0.0-3+devuan3 @un puN Ib >
Broken libvirt-daemon-system:amd64 Depends on libvirt-daemon:amd64 < 7.0.0-3+devuan3 @ii pmR > (= 7.0.0-3+devuan3)
  Considering libvirt-daemon:amd64 1 as a solution to libvirt-daemon-system:amd64 10000
  Added libvirt-daemon:amd64 to the remove list
Investigating (0) libvirt-daemon-driver-lxc:amd64 < 7.0.0-3+devuan3 @ii mK Ib >
Broken libvirt-daemon-driver-lxc:amd64 Depends on libvirt-daemon:amd64 < 7.0.0-3+devuan3 @ii pmR > (= 7.0.0-3+devuan3)
  Considering libvirt-daemon:amd64 10000 as a solution to libvirt-daemon-driver-lxc:amd64 0
  Removing libvirt-daemon-driver-lxc:amd64 rather than change libvirt-daemon:amd64
Investigating (0) libvirt-daemon-driver-xen:amd64 < 7.0.0-3+devuan3 @ii mK Ib >
Broken libvirt-daemon-driver-xen:amd64 Depends on libvirt-daemon:amd64 < 7.0.0-3+devuan3 @ii pmR > (= 7.0.0-3+devuan3)
  Considering libvirt-daemon:amd64 10000 as a solution to libvirt-daemon-driver-xen:amd64 0
  Removing libvirt-daemon-driver-xen:amd64 rather than change libvirt-daemon:amd64
Investigating (0) libvirt-daemon-driver-vbox:amd64 < 7.0.0-3+devuan3 @ii mK Ib >
Broken libvirt-daemon-driver-vbox:amd64 Depends on libvirt-daemon:amd64 < 7.0.0-3+devuan3 @ii pmR > (= 7.0.0-3+devuan3)
  Considering libvirt-daemon:amd64 10000 as a solution to libvirt-daemon-driver-vbox:amd64 0
  Removing libvirt-daemon-driver-vbox:amd64 rather than change libvirt-daemon:amd64
Investigating (1) libvirt-daemon-system:amd64 < none -> 7.0.0-3+devuan3 @un puN Ib >
Broken libvirt-daemon-system:amd64 Depends on libvirt-daemon:amd64 < 7.0.0-3+devuan3 @ii pmR > (= 7.0.0-3+devuan3)
  Considering libvirt-daemon:amd64 10000 as a solution to libvirt-daemon-system:amd64 10000
Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 libvirt-daemon-system : Depends: libvirt-daemon (= 7.0.0-3+devuan3) but it is not installable
E: Unable to correct problems, you have held broken packages.

Both of these packages are installed but I still get that error.

sudo apt-get install --no-install-recommends qemu-kvm libvirt-daemon-system libvirt-clients virt-manager gir1.2-spiceclientgtk-3.0 dnsmasq qemu-utils
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
Note, selecting 'qemu-system-x86' instead of 'qemu-kvm'
dnsmasq is already the newest version (2.85-1).
gir1.2-spiceclientgtk-3.0 is already the newest version (0.39-1).
libvirt-clients is already the newest version (7.0.0-3+devuan3).
libvirt-clients set to manually installed.
libvirt-daemon-system is already the newest version (7.0.0-3+devuan3).
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 libvirt-daemon-system : Depends: libvirt-daemon (= 7.0.0-3+devuan3) but it is not installable
E: Unable to correct problems, you have held broken packages.

Offline

#6 2021-10-20 23:52:39

jnr2820
Member
From: North Carolina, USA
Registered: 2021-10-15
Posts: 5  

Re: [SOLVED] libvirt-daemon/qemu-kvm won't install on chimaera

So far I'm not able to reproduce this on a clean 4.0 install.
I know this might be a dumb question, but what happens when you run these:

sudo apt install -f

and

sudo apt reinstall libvirt-daemon

?

Also, I think I've seen some funny business like this when the local db doesn't think that package exists and/or it is missing from your mirror. Changing the mirror and running 'sudo apt clean && sudo apt update' might also be something good to try. (This is the mirror I'm using if you need it for reference: "http://mishka.snork.ca/")

Last edited by jnr2820 (2021-10-20 23:59:39)

Offline

#7 2021-10-21 02:16:20

shirase
Member
Registered: 2017-11-14
Posts: 15  

Re: [SOLVED] libvirt-daemon/qemu-kvm won't install on chimaera

jnr2820 wrote:

So far I'm not able to reproduce this on a clean 4.0 install.
I know this might be a dumb question, but what happens when you run these:

I changed mirrors from deb.devuan to pkgmaster.devuan, apt updated and apt cleaned, then ran your commands. apt install -f did nothing, and reinstalling libvirt-daemon reinstalled it normally, but I'm still getting the same errors. Seems like reinstalling may be the only fix, I will try a reinstall in a few days after I backup everything.

Last edited by shirase (2021-10-21 02:16:44)

Offline

#8 2021-10-21 06:14:09

Head_on_a_Stick
Member
From: London
Registered: 2019-03-24
Posts: 1,880  
Website

Re: [SOLVED] libvirt-daemon/qemu-kvm won't install on chimaera

How about

apt policy libvirt-daemon
aptitude why-not libvirt-daemon
aptitude -s install --no-install-recommends qemu-kvm libvirt-daemon-system libvirt-clients virt-manager gir1.2-spiceclientgtk-3.0 dnsmasq qemu-utils

The last command may offer several possible solutions so be sure to go through them all.


antifa ftw!

Offline

#9 2021-10-21 23:27:56

shirase
Member
Registered: 2017-11-14
Posts: 15  

Re: [SOLVED] libvirt-daemon/qemu-kvm won't install on chimaera

Head_on_a_Stick wrote:

How about

I'm not sure if the output is helpful or not so I'll post it here to await further instruction/suggestions.

sudo apt policy libvirt-daemon
libvirt-daemon:
  Installed: 7.0.0-3+devuan3
  Candidate: 7.0.0-3+devuan3
  Version table:
 *** 7.0.0-3+devuan3 500
        500 http://pkgmaster.devuan.org/merged chimaera/main amd64 Packages
        100 /var/lib/dpkg/status
sudo aptitude why-not libvirt-daemon
i   libvirt-daemon     Recommends qemu-kvm | qemu-system (>= 0.9.1)          
p   qemu-system        Depends    qemu-system-x86                            
p   qemu-system-x86    Depends    qemu-system-common (= 1:6.1+dfsg-6~bpo11+1)
p   qemu-system-common Breaks     libvirt-daemon (< 7.2.0-1)                 
sudo aptitude -s install --without-recommends qemu-kvm libvirt-daemon-system libvirt-clients virt-manager gir1.2-spiceclientgtk-3.0 dnsmasq qemu-utils
Note: selecting "qemu-system-x86" instead of the virtual package "qemu-kvm"
libvirt-daemon-system is already installed at the requested version (7.0.0-3+devuan3)
libvirt-clients is already installed at the requested version (7.0.0-3+devuan3)
virt-manager is already installed at the requested version (1:3.2.0-3)
gir1.2-spiceclientgtk-3.0 is already installed at the requested version (0.39-1)
dnsmasq is already installed at the requested version (2.85-1)
libvirt-daemon-system is already installed at the requested version (7.0.0-3+devuan3)
libvirt-clients is already installed at the requested version (7.0.0-3+devuan3)
virt-manager is already installed at the requested version (1:3.2.0-3)
gir1.2-spiceclientgtk-3.0 is already installed at the requested version (0.39-1)
dnsmasq is already installed at the requested version (2.85-1)
The following NEW packages will be installed:
  ipxe-qemu{a} libcapstone4{a} libdaxctl1{a} libexecs0{a} libfdt1{a} 
  libfuse3-3{a} libibverbs1{a} libndctl6{a} libpmem1{a} librdmacm1{a} 
  libslirp0{a} liburing1{a} libvdeplug2{a} qemu-system-data{a} 
  qemu-system-x86{b} qemu-utils seabios{a} 
The following packages are RECOMMENDED but will NOT be installed:
  ibverbs-providers ovmf qemu-block-extra qemu-system-gui 
0 packages upgraded, 17 newly installed, 0 to remove and 0 not upgraded.
Need to get 13.2 MB of archives. After unpacking 62.9 MB will be used.
The following packages have unmet dependencies:
 qemu-system-x86 : Depends: qemu-system-common (= 1:6.1+dfsg-6~bpo11+1) but it is not going to be installed
The following actions will resolve these dependencies:

     Remove the following packages:                                
1)     libvirt-daemon [7.0.0-3+devuan3 (now, stable)]              
2)     libvirt-daemon-driver-lxc [7.0.0-3+devuan3 (now, stable)]   
3)     libvirt-daemon-driver-vbox [7.0.0-3+devuan3 (now, stable)]  
4)     libvirt-daemon-driver-xen [7.0.0-3+devuan3 (now, stable)]   
5)     libvirt-daemon-system [7.0.0-3+devuan3 (now, stable)]       

     Install the following packages:                               
6)     libspice-server1 [0.14.3-2.1 (stable)]                      
7)     qemu-system-common [1:6.1+dfsg-6~bpo11+1 (stable-backports)]



Accept this solution? [Y/n/q/?] 

Offline

#10 2021-10-22 01:05:03

shirase
Member
Registered: 2017-11-14
Posts: 15  

Re: [SOLVED] libvirt-daemon/qemu-kvm won't install on chimaera

Head_on_a_Stick wrote:

How about

The last command provided a solution that resolved the issue. I believe after typing "n" to the first two solutions given, it was the third one that I typed "y" to, and it resolved the issue. Thanks for your help. I'm marking the topic as solved.

sudo aptitude install --without-recommends qemu-kvm libvirt-daemon-system libvirt-clients virt-manager gir1.2-spiceclientgtk-3.0 dnsmasq qemu-utils

Offline

#11 2021-10-22 02:44:24

shirase
Member
Registered: 2017-11-14
Posts: 15  

Re: [SOLVED] libvirt-daemon/qemu-kvm won't install on chimaera

Just one question about something, upgrading gives the following message

The following packages have been kept back:
  qemu-system-common qemu-system-x86
0 upgraded, 0 newly installed, 0 to remove and 2 not upgraded.

And if I try to manually upgrade I get this, which puts me back at the original issue. So, will this issue resolve itself in the future or do I need to always hold those packages back?

sudo apt install -s qemu-system-common qemu-system-x86
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
The following packages were automatically installed and are no longer required:
  augeas-lenses libaugeas0 libnetcf1 libvirglrenderer1
  libvirt-daemon-config-network libvirt-daemon-config-nwfilter
  libvirt-daemon-driver-qemu libvirt-daemon-system-sysv
Use 'sudo apt autoremove' to remove them.
Suggested packages:
  samba vde2
Recommended packages:
  qemu-system-gui ovmf
The following packages will be REMOVED:
  libvirt-daemon libvirt-daemon-driver-lxc libvirt-daemon-driver-vbox
  libvirt-daemon-driver-xen libvirt-daemon-system
The following packages will be upgraded:
  qemu-system-common qemu-system-x86
2 upgraded, 0 newly installed, 5 to remove and 0 not upgraded.
Remv libvirt-daemon-system [7.0.0-3+devuan3]
Remv libvirt-daemon-driver-xen [7.0.0-3+devuan3]
Remv libvirt-daemon [7.0.0-3+devuan3] [libvirt-daemon-driver-vbox:amd64 libvirt-daemon-driver-lxc:amd64 ]
Remv libvirt-daemon-driver-lxc [7.0.0-3+devuan3] [libvirt-daemon-driver-vbox:amd64 ]
Remv libvirt-daemon-driver-vbox [7.0.0-3+devuan3]
Inst qemu-system-common [1:5.2+dfsg-11+deb11u1] (1:6.1+dfsg-6~bpo11+1 Devuan Backports:4.0/stable-backports [amd64])
Inst qemu-system-x86 [1:5.2+dfsg-11+deb11u1] (1:6.1+dfsg-6~bpo11+1 Devuan Backports:4.0/stable-backports [amd64])
Conf qemu-system-common (1:6.1+dfsg-6~bpo11+1 Devuan Backports:4.0/stable-backports [amd64])
Conf qemu-system-x86 (1:6.1+dfsg-6~bpo11+1 Devuan Backports:4.0/stable-backports [amd64])

Offline

#12 2021-10-22 15:23:43

Head_on_a_Stick
Member
From: London
Registered: 2019-03-24
Posts: 1,880  
Website

Re: [SOLVED] libvirt-daemon/qemu-kvm won't install on chimaera

So why does the Devuan libvirt-daemon package need stuff from backports?

apt info libvirt-daemon

And which other backports are installed?

aptitude search ~S~i~Astable-backports

(You might have to replace stable- with chimaera-.)


antifa ftw!

Offline

#13 2021-10-22 16:43:19

golinux
Administrator
Registered: 2016-11-25
Posts: 2,361  

Re: [SOLVED] libvirt-daemon/qemu-kvm won't install on chimaera

Head_on_a_Stick wrote:

(You might have to replace stable- with chimaera-.)

Yes, in Devuan always use the release name in sources.list to avoid unintended consequences.

Offline

#14 2021-10-22 23:21:34

shirase
Member
Registered: 2017-11-14
Posts: 15  

Re: [SOLVED] libvirt-daemon/qemu-kvm won't install on chimaera

I'm not sure why the output said stable, I do use the release name in the sources.list.

apt info libvirt-daemon
Package: libvirt-daemon
Version: 7.0.0-3+devuan3
Priority: optional
Section: admin
Source: libvirt
Origin: Devuan
Maintainer: Andreas Messer <andi@bastelmap.de>
Installed-Size: 1,737 kB
Depends: libvirt-daemon-driver-qemu (= 7.0.0-3+devuan3), libvirt0 (= 7.0.0-3+devuan3), libblkid1 (>= 2.17.2), libc6 (>= 2.28), libdevmapper1.02.1 (>= 2:1.02.97), libeudev1 (>= 3.2.9), libgcc-s1 (>= 3.3.1), libglib2.0-0 (>= 2.31.8), libnetcf1 (>= 1:0.2.2), libparted2 (>= 3.1), libpcap0.8 (>= 1.5.1), libpciaccess0, libselinux1 (>= 3.1~), libxml2 (>= 2.9.2+really2.9.1+dfsg1-0.2)
Recommends: libvirt-daemon-driver-lxc (= 7.0.0-3+devuan3), libvirt-daemon-driver-vbox (= 7.0.0-3+devuan3), libvirt-daemon-driver-xen (= 7.0.0-3+devuan3), libxml2-utils, netcat-openbsd, qemu-kvm | qemu-system (>= 0.9.1)
Suggests: libvirt-daemon-driver-storage-gluster (= 7.0.0-3+devuan3), libvirt-daemon-driver-storage-iscsi-direct (= 7.0.0-3+devuan3), libvirt-daemon-driver-storage-rbd (= 7.0.0-3+devuan3), libvirt-daemon-driver-storage-zfs (= 7.0.0-3+devuan3), libvirt-daemon-system (= 7.0.0-3+devuan3), numad
Breaks: libvirt-clients (<< 6.9.0-2~), libvirt-daemon-driver-lxc (<< 6.9.0-2~), libvirt-daemon-system (<< 6.9.0-3~), libvirt-sanlock (<< 6.9.0-2~)
Replaces: libvirt-daemon-system (<< 6.9.0-3~)
Enhances: qemu-kvm, qemu-system, xen
Homepage: https://libvirt.org/
Download-Size: 471 kB
APT-Manual-Installed: yes
APT-Sources: https://pkgmaster.devuan.org/merged chimaera/main amd64 Packages
Description: Virtualization daemon
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the daemon libvirtd to manage the hypervisors.
aptitude search ~S~i~Astable-backports
i A at-spi2-core                   - Assistive Technology Service Provider In
i   flatpak                        - Application deployment framework for des
i A gir1.2-javascriptcoregtk-4.0   - JavaScript engine library from WebKitGTK
i A gir1.2-webkit2-4.0             - Web content engine library for GTK - GOb
i   iproute2                       - networking and traffic control tools    
i A libatspi2.0-0                  - Assistive Technology Service Provider In
i A libbrlapi0.8                   - braille display access via BRLTTY - shar
i A libepoxy0                      - OpenGL function pointer management libra
i A libflatpak0                    - Application deployment framework for des
i A libgfapi0                      - GlusterFS gfapi shared library          
i A libgfrpc0                      - GlusterFS libgfrpc shared library       
i A libgfxdr0                      - GlusterFS libgfxdr shared library       
i A libglusterfs0                  - GlusterFS shared library                
i A libjavascriptcoregtk-4.0-18    - JavaScript engine library from WebKitGTK
i A libkcolorpicker0               - QToolButton-like widget with color selec
i A libkimageannotator-common      - Image Annotating Library (common data fi
i A libkimageannotator0            - Image Annotating Library (lib)          
i A libldap-2.4-2                  - OpenLDAP libraries                      
i A libldap-common                 - OpenLDAP common files for libraries     
i A liblouis-data                  - Braille translation library - data      
i A liblouis20                     - Braille translation library - shared lib
i A libvulkan1                     - Vulkan loader library                   
i A libwebkit2gtk-4.0-37           - Web content engine library for GTK      
i A linux-image-5.14.0-0.bpo.2-amd - Linux 5.14 for 64-bit PCs (signed)      
i   linux-image-amd64              - Linux for 64-bit PCs (meta-package)     
i A qemu-block-extra               - extra block backend modules for qemu-sys
i A qemu-system-data               - QEMU full system emulation (data files) 
i   qemu-utils                     - QEMU utilities                          
i   xbrlapi                        - Access software for a blind person using

That's strange that it's installed all that stuff from backports. Especially the kernel, I did not manually do that, I just thought that kernel was put into stable. Is there something I need to change in my sources to prevent it using backports by default? The only thing I manually installed in backports was flatpak.

Here's my sources.list in case that is relevant to the issue.

deb https://pkgmaster.devuan.org/merged/ chimaera main non-free contrib 
deb-src https://pkgmaster.devuan.org/merged/ chimaera main non-free contrib 

# chimaera-security 
deb https://pkgmaster.devuan.org/merged/ chimaera-security main contrib non-free
deb-src https://pkgmaster.devuan.org/merged/ chimaera-security main contrib non-free

# chimaera-updates, previously known as 'volatile'
deb https://pkgmaster.devuan.org/merged/ chimaera-updates main contrib non-free
deb-src https://pkgmaster.devuan.org/merged/ chimaera-updates main contrib non-free

#backports
deb https://pkgmaster.devuan.org/merged/ chimaera-backports main contrib non-free
deb-src https://pkgmaster.devuan.org/merged/ chimaera-backports main contrib non-free

Offline

#15 2021-10-23 09:09:52

Head_on_a_Stick
Member
From: London
Registered: 2019-03-24
Posts: 1,880  
Website

Re: [SOLVED] libvirt-daemon/qemu-kvm won't install on chimaera

shirase wrote:

I'm not sure why the output said stable, I do use the release name in the sources.list.

That's just how aptitude identifies the archive for the ~A search option.

shirase wrote:

Is there something I need to change in my sources to prevent it using backports by default?

I think we've found a problem.

The Debian bullseye-backports repository has a Release file that contains these lines:

NotAutomatic: yes
ButAutomaticUpgrades: yes

This confers a pin priority of 100 for all packages, which means they will not be installed unless explicitly targetted (either by version or with the --target option for apt) but any packages that are installed from backports will be kept updated from there.

But the Devuan chimaera-backports repository Release file does not have those lines.

Can we please see the output of

apt policy

^ That will show the pin priority assigned to all active repositories. If the backports repository is at 500 rather than 100 then it is pinned wrong and a bug report is called for.

shirase wrote:

Here's my sources.list in case that is relevant to the issue.

Note that the pkgmaster.devuan.org repositories are no longer recommended; see https://www.devuan.org/os/packages for the canonical list of official sources.


antifa ftw!

Offline

#16 2021-10-23 09:48:20

shirase
Member
Registered: 2017-11-14
Posts: 15  

Re: [SOLVED] libvirt-daemon/qemu-kvm won't install on chimaera

Head_on_a_Stick wrote:

Can we please see the output of

apt policy

^ That will show the pin priority assigned to all active repositories. If the backports repository is at 500 rather than 100 then it is pinned wrong and a bug report is called for.

You're right it's at 500. Is there something I can do in the meantime on my end for a fix? Or is it just up to the developers?
Also I switched my sources back to deb.devuan, but when following your link there's a link there to a mirror list and pkgmaster is at the top, it's not clear that it's not recommended though. Here's the mirror list I'm talking about.
https://pkgmaster.devuan.org/mirror_list.txt

apt policy
Package files:
 100 /var/lib/dpkg/status
     release a=now
 500 https://repo.nextdns.io/deb stable/main amd64 Packages
     release o=NextDNS,a=stable,l=NextDNS,c=main,b=amd64
     origin repo.nextdns.io
 500 http://deb.devuan.org/merged chimaera-backports/non-free amd64 Packages
     release v=4.0,o=Devuan Backports,a=stable-backports,n=chimaera-backports,l=Devuan Backports,c=non-free,b=amd64
     origin deb.devuan.org
 500 http://deb.devuan.org/merged chimaera-backports/contrib amd64 Packages
     release v=4.0,o=Devuan Backports,a=stable-backports,n=chimaera-backports,l=Devuan Backports,c=contrib,b=amd64
     origin deb.devuan.org
 500 http://deb.devuan.org/merged chimaera-backports/main amd64 Packages
     release v=4.0,o=Devuan Backports,a=stable-backports,n=chimaera-backports,l=Devuan Backports,c=main,b=amd64
     origin deb.devuan.org
 500 http://deb.devuan.org/merged chimaera-security/main amd64 Packages
     release v=4.0,o=Devuan,a=stable-security,n=chimaera-security,l=Devuan-Security,c=main,b=amd64
     origin deb.devuan.org
 500 http://deb.devuan.org/merged chimaera/contrib amd64 Packages
     release v=4.0,o=Devuan,a=stable,n=chimaera,l=Devuan,c=contrib,b=amd64
     origin deb.devuan.org
 500 http://deb.devuan.org/merged chimaera/non-free amd64 Packages
     release v=4.0,o=Devuan,a=stable,n=chimaera,l=Devuan,c=non-free,b=amd64
     origin deb.devuan.org
 500 http://deb.devuan.org/merged chimaera/main amd64 Packages
     release v=4.0,o=Devuan,a=stable,n=chimaera,l=Devuan,c=main,b=amd64
     origin deb.devuan.org
Pinned packages:

Offline

#17 2021-10-23 09:57:15

Head_on_a_Stick
Member
From: London
Registered: 2019-03-24
Posts: 1,880  
Website

Re: [SOLVED] libvirt-daemon/qemu-kvm won't install on chimaera

shirase wrote:

Is there something I can do in the meantime on my end for a fix?

Create a file at /ect/apt/preferences.d/fix with this content:

Package: *
Pin: release n=chimaera-backports
Pin-Priority: 100

Then run apt update (as root) and check the pinning to see if it's fixed.

I would also recommend downgrading as many backports as possible, especially the QEMU packages. You'll have to use apt install package=version (replace package with the actual name of the package and replace version with the version number from chimaera) for each package. There's probably a quicker way to do that but I don't know of any.

And please remember to submit a bug report to Devuan about this. See https://www.chiark.greenend.org.uk/~sgtatham/bugs.html for a general guide to bug reporting; it might be good to include a link to this thread for background.

EDIT: in respect of pkgmaster.devuan.org, the advice to use the deb.devuan.org redirector is to avoid loading the specific mirror unduly (AFAIUI).

Last edited by Head_on_a_Stick (2021-10-23 10:50:03)


antifa ftw!

Offline

#18 2021-10-23 14:50:04

golinux
Administrator
Registered: 2016-11-25
Posts: 2,361  

Re: [SOLVED] libvirt-daemon/qemu-kvm won't install on chimaera

pkgmaster.devuan.org is the source from which all other mirrors are synced. Individual users pulling from it can disrupt the syncing and cause delays elsewhere in the pool.

Offline

#19 2021-10-23 23:14:40

shirase
Member
Registered: 2017-11-14
Posts: 15  

Re: [SOLVED] libvirt-daemon/qemu-kvm won't install on chimaera

Head_on_a_Stick wrote:

I would also recommend downgrading as many backports as possible, especially the QEMU packages. You'll have to use apt install package=version (replace package with the actual name of the package and replace version with the version number from chimaera) for each package. There's probably a quicker way to do that but I don't know of any.

The way you described to downgrade the packages didn't work in this instance because it was only looking for the package in the backports repo.
So if anyone else has this bug and comes across this thread, the way I downgraded the packages was to point each package back to the stable repo.
sudo apt install package/chimaera --no-install-recommends (replacing package with the actual name of the package)
The --no-install-recommends is optional but I put it so that it doesn't pull in packages that arent necessary.
Thanks again for your help and I've submitted a bug report.

Offline

Board footer